%define xmms_outputdir %(xmms-config --output-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Output)

Summary: Audio crossfade plugin for XMMS
Name: xmms-crossfade
Version: 0.3.14
Release: 10%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.eisenlohr.org/xmms-crossfade/
Source: http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
Patch0: xmms-crossfade-0.3.14-libexec.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms >= 1:1.2.10-20
BuildRequires: gtk2-devel, glib2-devel
BuildRequires: xmms
BuildRequires: xmms-devel
BuildRequires: libsamplerate-devel
BuildRequires: id3lib-devel
BuildRequires: autoconf, automake, libtool

%description
A plugin for XMMS featuring crossfading, continuous output between songs and
a gap-killer.

%prep
%setup -q -T -b 0
%patch0 -p1 -b .libexec
autoreconf -i -f -v
# Convert docs to UTF-8
for f in ChangeLog README; do
  iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
done

%build
%configure --enable-id3 --enable-player=xmms --libdir=%{xmms_outputdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc AUTHORS ChangeLog COPYING README
%exclude %{xmms_outputdir}/libcrossfade.la
%{xmms_outputdir}/libcrossfade.so

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar  8 2012 Tom Callaway <spot@fedoraproject.org> - 0.3.14-5
- fix FTBFS
- drop broken old audacious plugin 
  (there is a _MUCH_ better crossfade effect plugin in audacious-plugins)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 14 2009 Matthias Saou <http://freshrpms.net/> 0.3.14-2
- Include patch for configure to check /usr/libexec/xmms for strings.
- Convert ChangeLog and README to UTF-8.
- Enable id3lib support for reading track number.

* Wed Aug 19 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3.14-1
- Also build Audacious plugin.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.12-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.3.12-2
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.3.12-1
- Update to 0.3.12.
- Add missing xmms epoch to the versionned requirement.
- Update License field.
- Remove dist tag, since the package will seldom change.
- Switch to using DESTDIR install method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.3.11-1
- Update to 0.3.11.
- FC6 rebuild.
- Remove no longer included TODO file from %%doc.

* Wed Jun 21 2006 Matthias Saou <http://freshrpms.net/> 0.3.10-2
- Also BuildRequire xmms since xmms-devel only requires xmms-libs now, but the
  configure detection requires xmms to be present.

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.3.10-1
- Update to 0.3.10.
- Spec file cleanup.
- Remove no longer needed gcc4 patch.
- Require xmms >= 1.2.10-20 since it includes the required patches.

* Wed Apr 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.8-4
- Add patch0 for GCC4 to fix some storage class mismatches.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 0.3.8-2
- Bump release to provide Extras upgrade path.
- Removed gtk+-devel build dep, it's been fixed/added in xmms-devel.

* Sat Sep 25 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.8-0.fdr.1
- Updated to 0.3.8.

* Sun Sep 19 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.6-0.fdr.1
- Updated to 0.3.6.
- Added libsamplerate-devel buildreq.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.5-0.fdr.1
- Updated to 0.3.5.
- Updated URL.

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.4-0.fdr.1
- Updated to 0.3.4.
- Removed comment lines.

* Tue Jun  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.2
- Removed superfluous glib-devel BuildRequires.

* Fri May 30 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.1
- Initial Fedora RPM.
